<template>
  <swiper
      :style="{
      '--swiper-navigation-color': '#ff9800',
      '--swiper-pagination-color': '#ff9800',
    }"
      :loop="true"
      :spaceBetween="10"
      :navigation="true"
      :thumbs="{ swiper: thumbsSwiper }"
      :modules="modules"
      class="mySwiper2"
  >
    <swiper-slide v-for="(item, index) in items" :key="index">
      <div
          class="img-slide rounded shadow-sm"
          :style="`background-image: url('${item.path}')`"
      ></div>
    </swiper-slide>
  </swiper>

  <swiper
      @swiper="setThumbsSwiper"
      :loop="true"
      :spaceBetween="10"
      :slidesPerView="3"
      :freeMode="true"
      :watchSlidesProgress="true"
      :modules="modules"
      class="mySwiper mt-3"
  >
    <swiper-slide v-for="(item, index) in items" :key="index">
      <div
          class="img-thumb rounded shadow-sm"
          :style="`background-image: url('${item.path}')`"
      ></div>
    </swiper-slide>
  </swiper>
</template>

<script setup>
import { ref } from 'vue';
import { Swiper, SwiperSlide } from 'swiper/vue';
import { FreeMode, Navigation, Thumbs } from 'swiper/modules';

import 'swiper/css';
import 'swiper/css/free-mode';
import 'swiper/css/navigation';
import 'swiper/css/thumbs';

const thumbsSwiper = ref(null);

const setThumbsSwiper = (swiper) => {
  thumbsSwiper.value = swiper;
};

const props = defineProps({
  items: {
    type: Array,
    required: true,
  }
})

const modules = [FreeMode, Navigation, Thumbs];
</script>

<style scoped>
.img-slide {
  width: 100%;
  height: 400px;
  background-size: cover;
  background-position: center;
}

.img-thumb {
  width: 100%;
  height: 100px;
  background-size: cover;
  background-position: center;
}

.swiper-button-prev, .swiper-button-next {
  top: 50% !important;
}
</style>
